
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>asp.net 2.0下的表单验证Cookieless属性 / iVAN</title>

    <meta name="description" content="asp.net 2.0下的表单验证Cookieless属性 刚刚在洗衣服的时候突然想到今天在做WAP程序的表单验证的时候遇到一个问题,在不支持Cookies的移动设备模拟器中无法正常进行表单验证,联想到昨天使用web.config设置cookieless属性时会在访问时会出现&quot;Cannot use a leading .. to exit above the top directory&quot;的异常,自然而然的我就想到了前一段时间困扰我很久的一个站点异常无法使用前导 .. 在顶级目录上退出(Cannot use a leading .. t ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">asp.net 2.0下的表单验证Cookieless属性</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>刚刚在洗衣服的时候突然想到今天在做WAP程序的表单验证的时候遇到一个问题,在不支持Cookies的移动设备模拟器中无法正常进行表单验证,联想到昨天使用web.config设置cookieless属性时会在访问时会出现"Cannot use a leading .. to exit above the top directory"的异常,自然而然的我就想到了前一段时间困扰我很久的一个站点异常无法使用前导 .. 在顶级目录上退出(Cannot use a leading .. to exit above the top directory)。综合一下，终于理解了为什么会出现这样的异常，也理解了为什么在asp.net 2.0 中，将原来cookieless属性只能设置true|false，改成了可以设置枚举HttpCookieMode的值,分别为:AutoDetect,UseCookies,UseDeviceProfile,UseUri 。</p>
<p>如果对表单验证很有经验的朋友可能会很清楚，可以有两种方式来保存当前的SessionID和用户的验证票信息，分别是使用Cookie和在URL地址加上一串编码过的字符串来标识当前的SessionID和用户的验证票信息。第一种方式非常普遍，对于使用URI来标识当前SessionID和验证票，我相信如果不是特殊需要的话，相信很多人都会跟我一样还无法很好理解。我做了两个简单的页面，来模拟用户的验证过程。当我在web.config中设置cookieless="AutoDetect"时，就跟我们平常一样，登录的URL是：</p>
<p>http://localhost:1115/FormsAuthentication/Security/Default.aspx</p>
<p>而当我设置cookieless="UseUri"时，这时URL地址就变成了：</p>
<p>http://localhost:1115/FormsAuthentication/(F(V0-gEZNEzXUqevbOqKwNoBcMf6vBWnyNbdpa2UhZzrfOUkGPvyB91-9nFlnBDmCAgdpz4gJ6kq-QOVjbNsvKig2))/Security/Default.aspx</p>
<p>在站点目录多了一级目录，这里的值就是当前会用户的验证票信息和SessionID信息。在某些场合，这样做是非常有意义的（或者是必须的），因为在不支持cookie环境下，你要去标识一个是否属于同一个会话，当前用户是否已验证过，等等与会话相关信息的时候就会变得异常的困难。</p>
<p>了解了这两个保存会话信息的方式后,我们再来讨论一下,asp.net team为什么把原来只能设置true | false的属性改成可以设置不同的枚举值.首先我们来看看这4个值的含意(在Windows Live Writer 不能画表格 :&lt; ):</p>
<p>AutoDetect:自动检测客户端实际是否支持cookie再来决定使用两种方式中的哪一种(最佳适应)。</p>
<p>UseCookies:不管客户端是否支持cookie,反正都使用cookie来标识(第一种方式)。</p>
<p>UseDeviceProfile:根据设备文件来判断是否支持cookie,进而决定使用哪种方式。相信很多人都对这个概念很模糊，由于最近在研究WAP，所以对它有一些简单的认识。在&lt;%windir%&gt;Microsoft.NET\Framework\v2.0.50727\CONFIG\Browsers目录下有很多的.browser文件，这些文件就是用来标识对应的设备（浏览器）的浏览能力（描述不是很清楚，就是一些技术参数，是否支持cookie and so on），在asp.net中，会根据这些.browser文件，动态生成从HttpBrowserCapabilities继承下来的设备参数类型，标识对应的设备的一些参数值，编程中可以通过Request.Browser得到这个设备参数对象，并使用。</p>
<p>UseUri :与UseCookies类似的，不管客户端是否支持cookie，反正都使用第二种方式。</p>
<p>特别说明：为什么特别强调“实际”，和详细描述UseDeviceProfile呢？主要是因为，我发现由于可能是设备文件中标识的参数与对应的设备的实际并不完全匹配，（比如，有可能设备文件中标识这种设备支持cookie，但实际的设备却不支持）。所以如果要根据设备的实际来选择是否使用cookie，那就要使用AutoDetect值了。设备文件只能是做为参考，当然如果你对设备文件有充分控制条件的话那就另当别论了。而且还有一点要特别注意，AutoDetect并不是默认值，UseDeviceProfile才是。</p>
<p>回到正题，为什么要改cookieless属性的可选值呢？毫无疑问，是为了增加程序的可操控性。原来的值有点太过单一化了，二选一，没有商量的余地。现在我们可以根据各种不同的情况来让程序动态或程序员手动选择。结合这一段时间的WAP开发经验，我想这样做的一个目的就是为了能更好的兼容移动设备，兼容WAP的应用。目前还有很多的设备还并不支持cookie。</p>
<p>有了上面的介绍后，我还想来解开为什么会出现“Cannot use a leading .. to exit above the top directory”异常的迷团。前几天也有收到一个朋友的来信，也是在使用CommunityServer 2.0遇到这个问题，(相信目前遇到最多的就是asp.net 2.0版的CommunityServer了)。目前使用了Url Rewrite，所以我们程序的很多URL都是假的，所以如果在页面中使用了相对路径（~/）的话，那我们就有可能遇到这样的麻烦了。因为搜索引擎（特别是google）不支持cookie，所以在它访问站点的时候就会使用上面提到的第二种方式来标识会话信息，这时候URI就多了一级了，所以在这个页面下所有的链接地址都是多一个../，无法正常访问了，从而造成上面这个异常的出现。(其实可以看出这个异常本身与Url Rewrite并没有多大关系，只不是communityserver和我的程序中都使用了url rewrite)。</p>
<p>解决办法有三种：</p>
<p>1.设置cookieless = UseCookies，不管客户端是否支持cookie都使用cookie。</p>
<p>2.因为默认cookieless = UseDeviceProfile，所以可以为搜索引擎建立一个设备文件.browser，弄虚作假一下。《Get GoogleBot to crash your .NET 2.0 site》就有给出了这样的做法了。</p>
<p>3.修改程序，将里面的相对路径（~/）改成绝对路径表示（可以使用Resolve方法）。</p>
<p>到目前为止对cookieless的讨论就算告一段落了，我发现到目前为止中文社区好像还没有很多人对这一属性有过深入的讨论。文中很多都是我个人综合理解，总结出来，里面可能会有很多错误的认识和观点，欢迎大家给我指正和补充。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-22 16:23:17</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%96%87%e4%bb%b6/" title="文件">文件</a>, <a href="https://www.iamivan.net/tag/%e8%ae%be%e5%a4%87/" title="设备">设备</a>, <a href="https://www.iamivan.net/tag/%e6%94%af%e6%8c%81/" title="支持">支持</a>, <a href="https://www.iamivan.net/tag/%e6%a0%87%e8%af%86/" title="标识">标识</a>, <a href="https://www.iamivan.net/tag/%e9%aa%8c%e8%af%81/" title="验证">验证</a>, <a href="https://www.iamivan.net/tag/cookie/" title="cookie">cookie</a>, <a href="https://www.iamivan.net/tag/communityserver/" title="CommunityServer">CommunityServer</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>asp.net 2.0下的表单验证Cookieless属性的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/VMrGq6p.html" rel="bookmark">asp&period;net 2&period;0 下的表单验证Cookieless属性</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				asp.net|cookie|表单验证 刚刚在洗衣服的时候突然想到今天在做WAP程序的表单验证的时候遇到一个问题,在不支持Cookies的移动设备模拟器中无法正常进行表单验证,联想到昨天使用web.config设置cookieless属性时会在访问时会出现&quot;Cannot use a leading .. to exit above the top directory&quot;的异常,自然而然的我就想到了前一段时间困扰我很久的一个站点异常无法使用前导 .. 在顶级目录上退出(Cannot use			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MyrEJZp.html" rel="bookmark">支持ASP&period;NET MVC、WebFroM的表单验证框架ValidationSuar使用介绍</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  这篇文章主要介绍了支持ASP.NET MVC.WebFroM的表单验证框架ValidationSuar使用介绍,本文详细讲解了使用步骤,并给出一个完整Demo下载,需要的朋友可以参考下 1.支持javascript端和后端的双重验证 (前端目前依赖于jquery.validate.js,也可以自已扩展) 2.代码简洁 3.调用方便 4.功能齐全 使用方法: 新建初始化类,将所有需要验证的在该类进行初始化,语法相当简洁并且可以统一管理,写完这个类你的验证就完成了70% 函数介绍: Add 默认			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQYnnZb.html" rel="bookmark">支持ASP&period;NET MVC、WebFroM的表单验证框架ValidationSuar使用介绍&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.支持javascript端和后端的双重验证 (前端目前依赖于jquery.validate.js,也可以自已扩展) 2.代码简洁 3.调用方便 4.功能齐全 使用方法: 新建初始化类,将所有需要验证的在该类进行初始化,语法相当简洁并且可以统一管理,写完这个类你的验证就完成了70% 函数介绍: Add 默认类型(邮件.手机.qq等) AddRegex 正则验证 在Add无法满足情部下使用 addFunc 使用js函数进行验证,一般用于业逻辑的验证 ,功能非常强大,可以满足各种验证(注意:add			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MN1K3Jb.html" rel="bookmark">php下常用表单验证的正则表达式&lowbar;正则表达式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				function is_email($str){ //检验email return preg_match(&quot;/^\w+([-+.]\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*$/&quot;, $str); } function is_url($str){ //检验网址 return preg_match(&quot;/^http:\/\/[A-Za-z0-9]+\.[A-Za-z0-9]+[\/=\?%\-&amp;_~`@[\]\':+!]*([^&lt;&gt;\&			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MyPL0Jb.html" rel="bookmark">php下常用表单验证的正则表达式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				function is_email($str){ //检验email return preg_match(&quot;/^\w+([-+.]\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*$/&quot;, $str); } function is_url($str){ //检验网址 return preg_match(&quot;/^http:\/\/[A-Za-z0-9]+\.[A-Za-z0-9]+[\/=\?%\-&amp;_~`@[\]\':+!]*([^&lt;&gt;\&			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQPXPoz.html" rel="bookmark">HTML中Form表单的method属性使用介绍</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				method是指定数据如何发送到服务器的一个属性,实际就是提交数据,下面举个例子为大家简单介绍下Form表单的method属性的使用及注意事项,感兴趣的朋友可以参考下   1 method是指定数据如何发送到服务器的一个属性 2 只可能是post和get post:官方解释是把数据通过post会话传送到服务器.实际就是提交数据. get:将表单中数据的按照variable=value的形式,添加到action所指向的URL后面,并且两者使用&quot;?&quot;连接,而各个变量之间使用 &quot;&			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBKkVKM.html" rel="bookmark">通过正则表达式实现表单验证是否为中文</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 正如标题所言判断一个输入量是否为中文,通过正则表达式实现,需要的朋友可以参考下 JavaScript表单验证是否为中文,判断一个输入量是否为中文,通过正则表达式实现.   代码如下: // 检查是否为中文  function isChn(str){  var reg = /^[u4E00-u9FA5]+$/;  if(!reg.test(str)){  return false;  }  return true;  }     			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQNYNOM.html" rel="bookmark">JavaScript通过正则表达式实现表单验证电话号码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 JavaScript判断一个输入量是否为电话号码,通过正则表达式实现,需要的朋友可以参考下 JavaScript表单验证电话号码,判断一个输入量是否为电话号码,通过正则表达式实现.   代码如下: //检查电话号码  function isTel(str){  var reg=/^([0-9]|[-])+$/g ;  if(str.length18){  return false;  }  else{  return reg.exec(str);  }  }   			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MAYmYKM.html" rel="bookmark">javascript html5实现表单验证&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				表单验证为终端用户检测无效的数据并标记这些错误,是一种用户体验的优化. 下面展现浏览器自带的验证功能也可在移动端中查看: HTML部分: &lt;!DOCTYPE html&gt; &lt;html lang=&quot;en&quot;&gt; &lt;head&gt; &lt;meta charset=&quot;UTF-8&quot;&gt; &lt;meta name=&quot;viewport&quot; content=&quot;width=device-width, initial-sc			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMyrVvp.html" rel="bookmark" class="title">word2010设置行高和列宽</a>
					<div>
						  在Word2010文档表格中,如果用户需要精确设置行的高度和列的高度,可以在&quot;表格工具&quot;功能区设置精确数值,操作步骤如下所述: 第1步,打开Word2010文档窗口,在表格中选 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/gpkZ2wM.html" rel="bookmark" class="title">IBM：这 20 大梦幻般技术 5 年内有望实现</a>
					<div>
						北京时间12月20日消息,IBM科研人员在探索能改变我们生活的新发明和趋势,他们在2007年做出的有关2012年会出现的新技术的预测被证明是正确的,例如语音控制汽车和移动支付.以下是IBM对2013年 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XpmAmlp.html" rel="bookmark" class="title">万能数据库连接程序-2</a>
					<div>
						程序|数据|数据库|数据库连接 '--------------------------------------------------- Function GetExcelRecordset( Fil ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1Mvo5Wp.html" rel="bookmark" class="title">移动互联网产品&colon;个人移动终端的选择</a>
					<div>
						文章描述:个人移动终端选择. 近年观察到个有趣现象,朋友们都喜欢背双肩包,以前大多用手提的笔记本电脑包.估计现在大家出门带的&quot;家当&quot;比较多,笔记本电脑人手一个,也许还有照相机.游戏 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/5zOrm9p.html" rel="bookmark" class="title">Flash MX 新特性详解&lpar;五&rpar;应用开发和发布与重放</a>
					<div>
						详解 一.应用开发 1.预制了用户界面的组件 预制一系列可定制的界面组件,包括:滚动条.多种文本域.输入按钮.和检查框,还有列表和组合箱,可以加速应用软件的开发.这些组件保证了普通用户用Flash M ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Vzwa2vM.html" rel="bookmark" class="title">时间轴控制命令介绍</a>
					<div>
						控制 本教程为本站原创,转载请注明出处 Flash 2004 mx推出已经有一段时间了,今天我给大家介绍一下时间轴控制命令的使用方法:时间轴控制命令包括gotoandplay,gotoandstop, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OM9eoRM.html" rel="bookmark" class="title">C&num;实现对象的Xml格式序列化及反序列化</a>
					<div>
						xml|对象   要序列化的对象的类: [Serializable]public class Person{private string name;public string Name{get{ret ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNE6P4b.html" rel="bookmark" class="title">Win 8 RP免密钥安装方法</a>
					<div>
						Windows 8 Release Preview 不再像Windows 7 那样,即使没有序列号也可以安装,而是如Office 20120 那样需要填写序列号才可以安装.是否跳过输入序列号的步骤安装 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4wBDPp.html" rel="bookmark" class="title">Win7系统任务栏的音频管理器图标怎么关闭？</a>
					<div>
						Win7系统任务栏的音频管理器图标怎么关闭?           方法一.关闭音频管理器图标 1.Realtek音频管理器会随着声卡驱动的更新被安装在操作系统之中,默认情况下是开启的,关闭它能够节约系 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKkLxWb.html" rel="bookmark" class="title">win7打印提示&OpenCurlyDoubleQuote;无法保存打印机设置&rdquo;怎么解决</a>
					<div>
						  打印机是办公室的必用设备,在日常使用中都会出现一些小问题,例如打印机提示&quot;无法保存打印机设置(错误0x000006d9)&quot;那是怎么额回事呢?一般出现这样的问题都是因为windo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boRRl3z.html" rel="bookmark" class="title">PostgreSQL 最佳实践 - pg&lowbar;rman 数据库恢复示例 与 软件限制解说</a>
					<div>
						背景 pg_rman备份已经讲完了,接下来讲一下数据恢复. 由于pg_rman使用了物理备份,所以恢复时,与普通物理备份的恢复原理是一样的. 需要将数据文件恢复,同时需要提供recovery.conf ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2PPGVp.html" rel="bookmark" class="title">想自己造无人机吗？Intel推出基于 Linux x86的自助无人机开发板</a>
					<div>
						其他开发工具包︰ 焦耳和欧几里德 英特尔开发论坛会议消息:英特尔手里不乏新的和升级的硬件工具包,从无人机自助套件到各种大气的物联网包不等,工程玩家利用这些无人机硬件可以自己组装无人机. Aero组装套 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mxo2ZGb.html" rel="bookmark" class="title">vc获得sql里数据-vc获得mysql里int数据的语句</a>
					<div>
						问题描述 vc获得mysql里int数据的语句 我知道vc获取mysql里char类型数据的语句是例如(工号是char类型时):varFld = pRs-&gt;Fields-&gt;GetItem( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqRADRp.html" rel="bookmark" class="title">更新数据库</a>
					<div>
						问题描述 公司每天都在大批量的更新数据5000行,更新前总是要把原来的数据删除了,然后再插入(插入的过程是批量的并不是用程序一条一条插入).现在我不想删除原来的数据,还想批量差异化比较后只更新有差异的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1ry8ap.html" rel="bookmark" class="title">NET 整理内存</a>
					<div>
						问题描述 NET整理内存方面的资料在网上找不到.有谁用过.说说看 解决方案 解决方案二:google一下&quot;GC&quot;.解决方案三:看CLRviaCSharp(JeffreyRichte ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq7gAKz.html" rel="bookmark" class="title">存储过程中拼接SQL语句</a>
					<div>
						很多时候我们需要利用参数在存储过程中重新组织SQL语句,在存储过程中拼接的SQL语句只是一个字符串,不会被直接执行,所以加一个execute执行它就可以了.具体看如下演示代码: 代码: set ANS ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8YDxoz.html" rel="bookmark" class="title">安装程序是如何识别我的系统在哪个盘的</a>
					<div>
						问题描述 直入主题,本人的系统是装在G盘里的,并没有安装通常情况下的C盘里.我的问题是,许多程序的安装路径都是在系统安装目录下的:ProgramFiles文件夹内.安装程序是如何识别我的盘符的呢?请回 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDnN2LM.html" rel="bookmark" class="title">任天堂将改善业绩的希望寄托在Wii U身上</a>
					<div>
						任天堂公司今天下调了其旗舰级游戏机Wii U.3DS和DS的销量预期.当前有越来越多的玩家转用智能手机和平板电脑玩游戏,该公司因此遭受影响.任天堂将Wii U在截至3月的财年的销量预期从此前的550万 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV705nb.html" rel="bookmark" class="title">thinkPHP实现表单自动验证&lowbar;php实例</a>
					<div>
						昨天晚上我们老大叫我弄表单自动验证功能,愁了半天借鉴了好多官网的知识,才出来,诶,总之分享一下我自己的成果吧! thinkphp 在Model基类为我们定义了自动验证的函数和正则表达式,我们只需要在对 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr2NP4M.html" rel="bookmark" class="title">深入理解javascript动态插入技术&lowbar;javascript技巧</a>
					<div>
						最近发现各大类库都能利用div.innerHTML=HTML片断来生成节点元素,再把它们插入到目标元素的各个位置上.这东西实际上就是insertAdjacentHTML,但是IE可恶的innerHTM ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQ1QwZb.html" rel="bookmark" class="title">浮动的div自适应居中显示的js代码&lowbar;javascript技巧</a>
					<div>
						当div是浮动的时候浏览器窗口发生变化的时候不能居中显示(因为浮动的时候一般设定的有left或者right值) 可以先用jquery获取外围的div随浏览器变化而变化的宽度(加上监听事件) 之后再获取 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGraqep.html" rel="bookmark" class="title">java背景图片转换</a>
					<div>
						问题描述 publicvoidpaint(Graphicsg){setSize(1000,500);//doubledouble1=d;//((JPanel)con.getContentPane()) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrvXwmM.html" rel="bookmark" class="title">Java配置环境变量</a>
					<div>
						path的设置.;C:\Program Files\Java\jdk1.6.0_13\bin   classpath 的设置.;C:\Program Files\Java\jdk1.6.0_13\bi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDjYgBM.html" rel="bookmark" class="title">苹果创始人乔布斯光环后的10个鲜为人知故事</a>
					<div>
						许多人对乔布斯在科技界的成就并不陌生,但是关于乔布斯其他的事实却鲜为人知,科技网站BusinessInsider根据CNBC最新报道总结了乔布斯的十个鲜为人知的真相,以下为文章全文: 众所周知,乔布斯 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlWda8b.html" rel="bookmark" class="title">《迈阿密先驱报》希望网上读者捐钱支持运营</a>
					<div>
						新快报讯 据雅虎新闻网报道,美国佛罗里达州&lt;迈阿密先驱报&gt;报社为增加网上营运收入,15日拿出新招,要求网上读者捐钱支持报纸网站. 报社声称,MiamiHerald.com每月有500万不同 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Ox0mb.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;iloveyou88&rdquo;比&OpenCurlyDoubleQuote;ilovekale&rdquo;好猜解的多</a>
					<div>
						本文讲的是 &quot;iloveyou88&quot;比&quot;ilovekale&quot;好猜解的多,对于安全专业人士来说,&quot;iloveyou&quot;这种口令,明显比&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEdZmZz.html" rel="bookmark" class="title">触摸屏当道时期如何保持用户体验</a>
					<div>
						触屏消费类电子设备的屏幕尺寸逐年增大.触摸屏通过智能手机开始盛行,并已迅速占领平板电脑领域.随着Windows 8的发布,触摸屏正向超极本.笔记本电脑以及一体机(all-in-one PC)领域发展. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6kwJyp.html" rel="bookmark" class="title">中国动画电影迎来&OpenCurlyDoubleQuote;井喷&rdquo;生机更待原创力</a>
					<div>
						从&lt;麦兜响当当&gt;.&lt;阿童木&gt;,到&lt;喜羊羊与灰太狼&gt;(第一部.第二部).&lt;葫芦兄弟&gt;,沉寂了十多年的中国动画电影,在近两年似乎骤然惊醒.4月22日,动画电 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqD0v3b.html" rel="bookmark" class="title">javascript 倒排序方法&lowbar;javascript技巧</a>
					<div>
						1 2 3 4 [Ctrl+A 全选 注:如需引入外部Js需刷新才能执行]					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPXeaDp.html" rel="bookmark" class="title">Apache多路复用模块（MPMs）介绍&lowbar;Linux</a>
					<div>
						当整个世界都慢慢倾向于nginx的时候,如果你还在使用apache,那么你可能会用尽一切办法来保证速度.你也许会调整要加载的模块,使用Keepalive.摆弄内容协商模块(mod_negotiatio ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
